Subject: Re: [6lowpan] Dispatch value bit pattern for 6lowPAN

From: gabriel montenegro <[email-masked]>
Date: Wed, 23 May 2007 23:58:18 -0700 (PDT)

Geoff as a Zigbee member tried to coordinate this with them. However, as I understand it, we were unable to obtain clear information even of this
frame available to non-members, even if it was for the purpose of avoiding conflicts. That is why we ended up choosing the current value. 

Geoff?

-gabriel

----- Original Message ----
From: Anthony Schoofs <[email-masked]>
To: 6lowpan <[email-masked]>
Sent: Wednesday, May 23, 2007 7:31:02 AM
Subject: [6lowpan] Dispatch value bit pattern for 6lowPAN

Dear all,

In the "Transmission of IPv6 Packets
over IEEE 802.15.4 Networks" Internet Draft, section Dispatch type
and Header page 7, is mentionned that  ".. other non-LowPAN protocols
that wish to coexist with LowPAN nodes should include a byte matching this
pattern (00 xxxxxx) ..".

I had a look at the ZigBee network header
and especially at the Frame Type sub-field (the 3 first bits after the
802.15.4 MAC header).

For acknowledgement and command frames,
the Frame Type value is either 010 or 011 (data frames start with 00).

Consequently, it might happen that you
get a match with a LoWPAN pattern, and then a problem of coexistence between
LowPAN nodes and ZigBee nodes.

I would like to know if this coexistence
issue was raised before and if it is a matter for the 6LoWPAN WG.

Best regards,

Anthony

--

Anthony Schoofs

Philips Research

High Tech Campus 37 , 5656 AE Eindhoven, The Netherlands

Email: [email-masked]

_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan

_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan